:root{
	
--global-padding:min(5vw, 3rem);
--wide-size:1200px;
--content-size:900px;

--title-font:"Roboto Condensed", sans-serif;
--text-font:"Roboto", sans-serif;

--extra-small-font-size:clamp(0.75rem, 0.71875rem + 0.15625vw, 0.875rem); /* 12-14 */
--small-font-size:clamp(0.875rem, 0.84375rem + 0.15625vw, 1rem); /* 14-16 */
--normal-font-size:clamp(1rem, 0.96875rem + 0.15625vw, 1.125rem); /* 16-18  */
--medium-font-size:clamp(1.125rem, 1.09375rem + 0.15625vw, 1.25rem); /* 18-20 */
--large-font-size:clamp(1.25rem, 1.1875rem + 0.3125vw, 1.5rem); /* 20-24 */
--extra-large-font-size:clamp(1.5rem, 1.375rem + 0.625vw, 2rem); /* 24-32 */
--huge-font-size:clamp(1.75rem, 1.5625rem + 0.9375000000000001vw, 2.5rem); /* 28-36 */
--gigantic-font-size:clamp(2.25rem, 2.0625rem + 0.9375000000000001vw, 3rem); /* 36-48*/

--primary-color:#6fc2ee;
--secondary-color:#0075bf;
--tertiary-color:#94c23c;
--black-color:#000;
--lightgrey-color:#ddd;
--brightgrey-color:#f4f4f4;
--white-color:#fff;

--spacing-xs:clamp(0.25rem, 0.1875rem + 0.3125vw, 0.5rem); /* 4-8*/
--spacing-sm:clamp(0.75rem, 0.6875rem + 0.3125vw, 1rem); /* 12-16*/
--spacing-md:clamp(1rem, 0.75rem + 1.25vw, 2rem); /* 16-32 */
--spacing-lg:clamp(1.5rem, 1.125rem + 1.8750000000000002vw, 3rem); /* 24-48 */
--spacing-xl:clamp(3rem, 2.25rem + 3.7500000000000004vw, 6rem); /* 48-96 */

--gutter:clamp(1rem, 0.75rem + 1.25vw, 2rem); /* 16-32 */

}

h1, h2, h3, h4, h5, h6{margin:32px 0; font-family:var(--title-font); font-weight:700; line-height:1.2;}
h1, h2, h3{text-transform:uppercase;}
h1{line-height:1;}
h1 b, h2 b, h3 b, h4 b, h5 b, h6 b{font-weight:inherit;}
h1{font-size:var(--gigantic-font-size);}
h2{font-size:var(--huge-font-size);}
h3{font-size:var(--extra-large-font-size);}
h4{font-size:var(--large-font-size);}
h5{font-size:var(--medium-font-size);}
h6{font-size:var(--normal-font-size);}

.has-extra-small-font-size{font-size:var(--extra-small-font-size);}
.has-small-font-size{font-size:var(--small-font-size);}
.has-normal-font-size{font-size:var(--normal-font-size);}
.has-medium-font-size{font-size:var(--medium-font-size);}
.has-large-font-size{font-size:var(--large-font-size);}
.has-extra-large-font-size{font-size:var(--extra-large-font-size);}
.has-huge-font-size{font-size:var(--huge-font-size);}
.has-gigantic-font-size{font-size:var(--gigantic-font-size);}

.has-primary-color{color:var(--primary-color);}
.has-secondary-color{color:var(--secondary-color);}
.has-tertiary-color{color:var(--tertiary-color);}
.has-black-color{color:var(--black-color);}
.has-lightgrey-color{color:var(--lightgrey-color);}
.has-brightgrey-color{color:var(--brightgrey-color);}
.has-white-color{color:var(--white-color);}

.has-primary-background-color{background-color:var(--primary-color);}
.has-secondary-background-color{background-color:var(--secondary-color);}
.has-tertiary-background-color{background-color:var(--tertiary-color);}
.has-black-background-color{background-color:var(--black-color);}
.has-lightgrey-background-color{background-color:var(--lightgrey-color);}
.has-brightgrey-background-color{background-color:var(--brightgrey-color);}
.has-white-background-color{background-color:var(--white-color);}

a{color:inherit; text-decoration:none; cursor:pointer;}
b, strong{font-weight:700;}
p{margin-top:1em; margin-bottom:1em;}
p a{font-weight:700; text-decoration:underline; color:var(--darkblue-color);}
blockquote{margin:2em 0;}
hr{margin-top:2em; margin-bottom:2em; border-width:2px 0 0 0; border-style:solid; border-color:var(--lightgrey-color);}
figure{margin:0;}
figcaption{font-size:.75em; font-style:italic; margin-top:.5em;}
button, input, textarea, select{font:inherit; color:inherit;}
img, video{max-width:100%; height:auto; display:block;}

/*---------- columns ----------*/

.row{display:flex; min-width:100%; flex-wrap:wrap; align-items:stretch;}
.col{width:100%;}
.col-1{width:8.3333%;} .col-2{width:16.6666%;} .col-3{width:25%;} .col-4{width:33.3333%;} .col-5{width:41.6666%;} .col-6{width:50%;} .col-7{width:58.3333%;} .col-8{width:66.6666%;} .col-9{width:75%;} .col-10{width:83.3333%;} .col-11{width:91.6666%;} .col-12{width:100%;}
@media (min-width:480px){
.col-xs-1{width:8.3333%;} .col-xs-2{width:16.6666%;} .col-xs-3{width:25%;} .col-xs-4{width:33.3333%;} .col-xs-5{width:41.6666%;} .col-xs-6{width:50%;} .col-xs-7{width:58.3333%;} .col-xs-8{width:66.6666%;} .col-xs-9{width:75%;} .col-xs-10{width:83.3333%;} .col-xs-11{width:91.6666%;} .col-xs-12{width:100%;}
}
@media (min-width:768px){
.col-sm-1{width:8.3333%;} .col-sm-2{width:16.6666%;} .col-sm-3{width:25%;} .col-sm-4{width:33.3333%;} .col-sm-5{width:41.6666%;} .col-sm-6{width:50%;} .col-sm-7{width:58.3333%;} .col-sm-8{width:66.6666%;} .col-sm-9{width:75%;} .col-sm-10{width:83.3333%;} .col-sm-11{width:91.6666%;} .col-sm-12{width:100%;}
}
@media (min-width:992px){
.col-md-1{width:8.3333%;} .col-md-2{width:16.6666%;} .col-md-3{width:25%;} .col-md-4{width:33.3333%;} .col-md-5{width:41.6666%;} .col-md-6{width:50%;} .col-md-7{width:58.3333%;} .col-md-8{width:66.6666%;} .col-md-9{width:75%;} .col-md-10{width:83.3333%;} .col-md-11{width:91.6666%;} .col-md-12{width:100%;}
}
@media (min-width:1200px){
.col-lg-1{width:8.3333%;} .col-lg-2{width:16.6666%;} .col-lg-3{width:25%;} .col-lg-4{width:33.3333%;} .col-lg-5{width:41.6666%;} .col-lg-6{width:50%;} .col-lg-7{width:58.3333%;} .col-lg-8{width:66.6666%;} .col-lg-9{width:75%;} .col-lg-10{width:83.3333%;} .col-lg-11{width:91.6666%;} .col-lg-12{width:100%;}
}
@media (min-width:1600px){
.col-xl-1{width:8.3333%;} .col-xl-2{width:16.6666%;} .col-xl-3{width:25%;} .col-xl-4{width:33.3333%;} .col-xl-5{width:41.6666%;} .col-xl-6{width:50%;} .col-xl-7{width:58.3333%;} .col-xl-8{width:66.6666%;} .col-xl-9{width:75%;} .col-xl-10{width:83.3333%;} .col-xl-11{width:91.6666%;} .col-xl-12{width:100%;}
}

.row.has-gutter{gap:var(--gutter) 0; margin-left:calc(var(--gutter) * -1);}
.row.has-gutter > .col > *{margin-left:var(--gutter);}
